Bug 237440 - www/webkit2-gtk3: Fix build on aarch64/arm (again)
Summary: www/webkit2-gtk3: Fix build on aarch64/arm (again)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: freebsd-gnome mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2019-04-21 15:15 UTC by Greg V
Modified: 2019-07-04 00:08 UTC (History)
4 users (show)

See Also:
jbeich: merge-quarterly+


Attachments
webkit.patch (1.91 KB, patch)
2019-04-21 15:15 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-04-21 15:15:19 UTC
Created attachment 203865 [details]
webkit.patch

signed char issue. Submitted upstream: https://bugs.webkit.org/show_bug.cgi?id=197148
Comment 1 Charlie Li 2019-04-21 23:31:49 UTC
This patch also fixes an identical build failure on arm.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-22 03:38:05 UTC
Though this issue going on > 1 months without an ack or progress, unfortunately, we can't 'just' maintainer timeout on large team (gnome@, python@, etc) maintained ports at the moment.

Having said that, it would be great to get explicit confirmation of successful QA on both aarch64 and arm. If we can get poudriere logs for both (*all* relevantly affected) ARCH's as attachments, that would be helpful.
Comment 3 commit-hook freebsd_committer 2019-07-03 23:49:32 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul  3 23:49:13 UTC 2019
New revision: 505799
URL: https://svnweb.freebsd.org/changeset/ports/505799

Log:
  www/webkit2-gtk3: unbreak on aarch64, armv6, armv7

  PR:		237440
  Reported by:	pkg-fallout
  Submitted by:	Greg V <greg@unrelenting.technology>
  Tested by:	Charlie Li <ml+freebsd@vishwin.info>
  Approved by:	maintainer timeout (2 months), portmgr blanket
  Obtained from:	upstream

Changes:
  head/www/webkit2-gtk3/files/patch-Source_WebCore_contentextensions_DFACombiner.cpp
  head/www/webkit2-gtk3/files/patch-Source_WebCore_contentextensions_NFAToDFA.cpp
Comment 4 commit-hook freebsd_committer 2019-07-03 23:50:36 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul  3 23:50:22 UTC 2019
New revision: 505805
URL: https://svnweb.freebsd.org/changeset/ports/505805

Log:
  MFH: r505799

  www/webkit2-gtk3: unbreak on aarch64, armv6, armv7

  PR:		237440
  Reported by:	pkg-fallout
  Submitted by:	Greg V <greg@unrelenting.technology>
  Tested by:	Charlie Li <ml+freebsd@vishwin.info>
  Approved by:	maintainer timeout (2 months), portmgr blanket
  Obtained from:	upstream
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q2/
  branches/2019Q2/www/webkit2-gtk3/files/patch-Source_WebCore_contentextensions_DFACombiner.cpp
  branches/2019Q2/www/webkit2-gtk3/files/patch-Source_WebCore_contentextensions_NFAToDFA.cpp